cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/alerts/{id}/deliveries?limit=25"{
"data": [
{
"alert_id": "<string>",
"channel": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"match_count": 123,
"matches": [
{
"detected_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "<string>",
"id": "<string>",
"kind": "ENTITY_MENTION",
"mention_count": 123,
"source_id": "<string>",
"source_type": "<string>"
}
],
"monitor_id": "<string>",
"status": "<string>",
"error_message": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Alerts
List deliveries for an alert
Returns the email delivery audit log for the given alert.
GET
/
v1
/
alerts
/
{id}
/
deliveries
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/alerts/{id}/deliveries?limit=25"{
"data": [
{
"alert_id": "<string>",
"channel": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"match_count": 123,
"matches": [
{
"detected_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "<string>",
"id": "<string>",
"kind": "ENTITY_MENTION",
"mention_count": 123,
"source_id": "<string>",
"source_type": "<string>"
}
],
"monitor_id": "<string>",
"status": "<string>",
"error_message": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Alert ID
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Was this page helpful?